---
import { Card } from "@astrojs/starlight/components";

let { name, iconName, url } = Astro.props;

if (!iconName) {
  iconName = name.toLowerCase();
}

if (!url) {
  url = `/integrations/${name.toLowerCase()}`;
}
---

<a id={name} /><br/>
<Card title={name} icon={iconName}>
  <slot /><br/>

<a href={url}>
  <button class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded cursor-pointer">
    Learn How 👉
  </button>
</a>

</Card>
